#ifndef XGFXSCENEDYNMODEL_H
#define XGFXSCENEDYNMODEL_H

#include "xasset.h"
#include "xmodeldrawinfo.h"

#include <QVector>

class XGfxSceneDynModel : public XAsset
{
public:
    XGfxSceneDynModel();
    ~XGfxSceneDynModel();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XModelDrawInfo mInfo;
    quint32 mDynEntId;
};

#endif // XGFXSCENEDYNMODEL_H
